Module jdk.javadoc
Package com.sun.javadoc

## Interface FieldDoc

All Superinterfaces:
  Comparable<Object>, Doc, MemberDoc, ProgramElementDoc

    public interface FieldDoc
    extends MemberDoc

Represents a field in a java class.

Since:
  1.2
See Also:
  `MemberDoc`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `constantValue()` Get the value of a constant field.
`String` `constantValueExpression()` Get the value of a constant field.
`boolean` `isTransient()` Return true if this field is transient
`boolean` `isVolatile()` Return true if this field is volatile
`SerialFieldTag[]` `serialFieldTags()` Return the serialField tags in this FieldDoc item.
`Type` `type()` Get type of this field.

### Methods inherited from interface com.sun.javadoc.Doc

`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

### Methods inherited from interface com.sun.javadoc.MemberDoc

`isSynthetic`

### Methods inherited from interface com.sun.javadoc.ProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

### Method Detail

#### type

    Type type()

Get type of this field.

Returns:
  the type of this field.

#### isTransient

    boolean isTransient()

Return true if this field is transient

Returns:
  true if this field is transient

#### isVolatile

    boolean isVolatile()

Return true if this field is volatile

Returns:
  true if this field is volatile

#### serialFieldTags

    SerialFieldTag[] serialFieldTags()

Return the serialField tags in this FieldDoc item.

Returns:
  an array of `SerialFieldTag` objects containing all `@serialField` tags.

#### constantValue

    Object constantValue()

Get the value of a constant field.

Returns:
  the value of a constant field. The value is automatically wrapped in an object if it has a primitive type. If the field is not constant, returns null.

#### constantValueExpression

    String constantValueExpression()

Get the value of a constant field.

Returns:
  the text of a Java language expression whose value is the value of the constant. The expression uses no identifiers other than primitive literals. If the field is not constant, returns null.